module base_random_mod
  implicit none

contains

  subroutine base_timesd(time)
    real    :: time
    integer :: it(8)

    time = 0.
    call date_and_time(values=it)
    time = it(5)*3600 + it(6)*60 + it(7) + it(8)*0.001

  end subroutine


  subroutine base_random_1d()
  end subroutine

end module
